from setuptools import setup, find_packages

# Read README.md for the long description
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name='AutomatedCleaning',
    version='0.1.8',
    packages=find_packages(),
    install_requires=[
        "absl-py==2.1.0",
        "annotated-types==0.7.0",
        "anthropic==0.49.0",
        "anyio==4.8.0",
        "astunparse==1.6.3",
        "backports.tarfile==1.2.0",
        "certifi==2025.1.31",
        "charset-normalizer==3.4.1",
        "click==8.1.8",
        "colorama==0.4.6",
        "contourpy==1.3.1",
        "cycler==0.12.1",
        "distro==1.9.0",
        "docutils==0.21.2",
        "et_xmlfile==2.0.0",
        "filelock==3.17.0",
        "flatbuffers==25.2.10",
        "fonttools==4.55.2",
        "fsspec==2025.3.0",
        "fuzzywuzzy==0.18.0",
        "gast==0.6.0",
        "google-pasta==0.2.0",
        "grpcio==1.70.0",
        "h11==0.14.0",
        "h5py==3.13.0",
        "httpcore==1.0.7",
        "httpx==0.28.1",
        "huggingface-hub==0.29.2",
        "idna==3.10",
        "imbalanced-learn==0.13.0",
        "imblearn==0.0",
        "importlib_metadata==8.6.1",
        "inexactsearch==1.0.2",
        "jaraco.classes==3.4.0",
        "jaraco.context==6.0.1",
        "jaraco.functools==4.1.0",
        "jiter==0.9.0",
        "joblib==1.4.2",
        "jsonpatch==1.33",
        "jsonpointer==3.0.0",
        "kaleido==0.2.1",
        "keras==3.9.0",
        "keyring==25.6.0",
        "kiwisolver==1.4.7",
        "langchain-anthropic==0.3.10",
        "langchain-core==0.3.45",
        "langsmith==0.3.15",
        "libclang==18.1.1",
        "Markdown==3.7",
        "markdown-it-py==3.0.0",
        "MarkupSafe==3.0.2",
        "matplotlib==3.9.3",
        "mdurl==0.1.2",
        "missingno==0.5.2",
        "ml-dtypes==0.4.1",
        "more-itertools==10.6.0",
        "namex==0.0.8",
        "narwhals==1.29.1",
        "nh3==0.2.20",
        "nltk==3.9.1",
        "numpy==2.0.2",
        "openpyxl==3.1.5",
        "opt_einsum==3.4.0",
        "optree==0.14.1",
        "orjson==3.10.15",
        "packaging==24.2",
        "pandas==2.2.3",
        "pillow==11.0.0",
        "plotly==6.0.0",
        "polars==1.23.0",
        "protobuf==5.29.3",
        "pyarrow==19.0.1",
        "pydantic==2.10.6",
        "pydantic_core==2.27.2",
        "pyenchant==3.2.2",
        "pyfiglet==1.0.2",
        "Pygments==2.19.1",
        "pyparsing==3.2.0",
        "python-dateutil==2.9.0.post0",
        "pytz==2024.2",
        "pywin32-ctypes==0.2.3",
        "PyYAML==6.0.2",
        "RapidFuzz==3.12.1",
        "readme_renderer==44.0",
        "regex==2024.11.6",
        "requests==2.32.3",
        "requests-toolbelt==1.0.0",
        "rfc3986==2.0.0",
        "rich==13.9.4",
        "safetensors==0.5.3",
        "scikit-learn==1.5.2",
        "scipy==1.14.1",
        "seaborn==0.13.2",
        "silpa_common==0.3",
        "six==1.17.0",
        "sklearn-compat==0.1.3",
        "sniffio==1.3.1",
        "soundex==1.1.3",
        "spellchecker==0.4",
        "tenacity==9.0.0",
        "tensorboard==2.18.0",
        "tensorboard-data-server==0.7.2",
        "tensorflow==2.18.0",
        "tensorflow-io-gcs-filesystem==0.31.0",
        "tensorflow_intel==2.18.0",
        "termcolor==2.5.0",
        "tf_keras==2.18.0",
        "thefuzz==0.22.1",
        "threadpoolctl==3.5.0",
        "tokenizers==0.21.0",
        "tqdm==4.67.1",
        "transformers==4.49.0",
        "twine==6.1.0",
        "typing_extensions==4.12.2",
        "tzdata==2024.2",
        "urllib3==2.3.0",
        "uv==0.6.5",
        "Werkzeug==3.1.3",
        "wrapt==1.17.2",
        "zipp==3.21.0",
        "zstandard==0.23.0",
        "jinja2",
    ],
    description='Automated Data Cleaning Library',
    long_description=long_description,  # Uses README.md content
    long_description_content_type="text/markdown",  # Ensures Markdown format
    author='Abhishek Kumar Singh',
    author_email='dataspoof007@gmail.com',
    url='https://github.com/DataSpoof/AutomatedCleaning',  # GitHub repo link
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires=">=3.6",
)
